<?php


namespace App\Core\Elastic;

/**
 * Class StagedIndex
 * @package App\Core\Elastic
 */
abstract class StagedIndex implements Index
{
    /** @var string название индекса */
    protected $name;

    /**
     * Получить полное название индекса "<stage>_<name>"
     * @return string
     */
    protected function fullIndexName(): string
    {
        return str_replace(['.','-'], '', config('app.stage')) . '_' . $this->name;
    }
}
