<?php

namespace App\Domain\Categories\Actions\DirectoryValues;

use App\Domain\Categories\Models\Property;
use App\Domain\Categories\Models\PropertyDirectoryValue;

class DeleteDirectoryValueAction
{
    use AppliesToDirectory;

    public function execute(int $valueId): void
    {
        $this->applyToDirectory(
            $valueId,
            fn(Property $property, PropertyDirectoryValue $value) => $this->deleteOrThrow($value)
        );
    }
}
