<?php

namespace App\Domain\Classifiers\Actions\Manufacturers;

use App\Domain\Classifiers\Models\Manufacturer;
use App\Domain\Support\Concerns\AppliesToAggregate;
use App\Domain\Support\Models\Model;

class DeleteManufacturerAction
{
    use AppliesToAggregate;

    public function execute(int $manufacturerId): void
    {
        $this->delete($manufacturerId);
    }

    protected function createModel(): Model
    {
        return new Manufacturer();
    }
}
