<?php

namespace App\Domain\Classifiers\Actions\ProductTypes;

use App\Domain\Classifiers\Models\ProductType;
use App\Domain\Support\Concerns\AppliesToAggregate;
use App\Domain\Support\Models\Model;

class DeleteProductTypeAction
{
    use AppliesToAggregate;

    public function execute(int $productTypeId): void
    {
        $this->delete($productTypeId);
    }

    protected function createModel(): Model
    {
        return new ProductType();
    }
}
