<?php

namespace App\Http\ApiV1\Modules\Categories\Resources;

use App\Domain\Categories\Models\Category;
use App\Http\ApiV1\Support\Resources\BaseJsonResource;

/**
 * @mixin Category
 */
class CategoriesResource extends BaseJsonResource
{
    public function toArray($request): array
    {
        return [
            'id' => $this->id,
            'code' => $this->code,
            'name' => $this->name,
            'parent_id' => $this->parent_id,
            'file' => $this->mapPublicFileToResponse($this->file),

            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
