<?php

namespace App\Http\ApiV1\Modules\Categories\Resources;

use App\Domain\Categories\Models\CategoryPropertyView;

/**
 * @mixin CategoryPropertyView
 */
class CategoryPropertiesResource extends PropertiesResource
{
    public function toArray($request): array
    {
        return [
            'is_required' => $this->is_required,
            'is_inherited' => $this->is_inherited,
            $this->merge(parent::toArray($request)),
            'directory' => AttributeDirectoryValuesResource::collection($this->whenLoaded('directory')),
        ];
    }
}
