<?php

namespace App\Http\ApiV1\Modules\Classifiers\Resources;

use App\Domain\Classifiers\Models\Brand;
use App\Http\ApiV1\Support\Resources\BaseJsonResource;

/**
 * @mixin Brand
 */
class BrandsResource extends BaseJsonResource
{
    public function toArray($request): array
    {
        return [
            'id' => $this->id,
            'code' => $this->code,
            'name' => $this->name,
            'description' => $this->description,
            'file' => $this->mapPublicFileToResponse($this->file),

            'created_at' => $this->created_at,
            'updated_at' => $this->updated_at,
        ];
    }
}
