<?php

namespace App\Http\ApiV1\Modules\Products\Requests;

use App\Domain\Products\Models\ProductImageType;
use App\Http\ApiV1\Support\Requests\BaseFormRequest;
use BenSampo\Enum\Rules\EnumValue;

class PatchProductImageRequest extends BaseFormRequest
{
    public function rules(): array
    {
        return [
            'type' => ['sometimes', 'required', new EnumValue(ProductImageType::class)],
        ];
    }
}
