<?php

namespace App\Http\ApiV1\Modules\Products\Resources;

use Illuminate\Contracts\Support\Responsable;
use Symfony\Component\HttpFoundation\Response;

class CountResource implements Responsable
{
    private int $count;

    public function __construct(int $count)
    {
        $this->count = $count;
    }

    public function toResponse($request): Response
    {
        return response()->json(['data' => ['count' => $this->count]]);
    }
}
