<?php

namespace App\Http\ApiV1\Modules\Products\Resources;

use App\Domain\Products\Models\ProductImage;
use App\Http\ApiV1\Support\Resources\BaseJsonResource;

/**
 * @mixin ProductImage
 */
class ProductImagesResource extends BaseJsonResource
{
    public function toArray($request): array
    {
        return [
            'id' => $this->id,
            'type' => $this->type,
            'product_id' => $this->product_id,
            'file' => $this->mapPublicFileToResponse($this->file),
        ];
    }
}
