<?php

namespace App\Core\Elastic\Product\Indexing;

use Exception;
use Illuminate\Support\Collection;

interface PipelineStageInterface
{
    /**
     * @param Collection|ProductTicket[] $tickets
     * @throws Exception
     */
    public function execute(Collection $tickets): void;
}
