<?php

namespace App\Core\Rest\Controller;

/**
 * Trait RestAction - базовый трейт для трейтов rest-действий.
 * @package Common\Rest\Controller
 */
trait RestAction
{
    public static $READ = 1;
    public static $CREATE = 3;
    public static $UPDATE = 4;
    public static $DELETE = 5;

    public static $PAGE_SIZE = 20;

    /**
     * Получить класс модели в виде строки
     * Пример: return MyModel::class;
     * @return string
     */
    abstract public function modelClass(): string;
}
