<?php

namespace App\Domain\Categories\Actions\Categories;

use App\Domain\Categories\Models\Category;
use App\Domain\Support\Concerns\AppliesToAggregate;
use App\Domain\Support\Models\Model;

class DeleteCategoryAction
{
    use AppliesToAggregate;

    public function execute(int $categoryId): void
    {
        $this->delete($categoryId);
    }

    protected function createModel(): Model
    {
        return new Category();
    }
}
