<?php

namespace App\Domain\Categories\Actions\Categories;

use App\Domain\Categories\Models\Category;
use App\Domain\Support\Actions\BaseFileAction;
use App\Domain\Support\Models\Model;

class DeleteCategoryImageAction extends BaseFileAction
{
    public function execute(int $categoryId): Category
    {
        $this->detach($categoryId, 'file');

        return Category::findOrFail($categoryId);
    }

    protected function createModel(): Model
    {
        return new Category();
    }
}
