<?php

namespace App\Domain\Categories\Actions\Properties;

use App\Domain\Categories\Models\Property;
use App\Domain\Support\Concerns\AppliesToAggregate;
use App\Domain\Support\Models\Model;

class DeletePropertyAction
{
    use AppliesToAggregate;

    public function execute(int $propertyId): void
    {
        $this->delete($propertyId);
    }

    protected function createModel(): Model
    {
        return new Property();
    }
}
