<?php

namespace App\Domain\Classifiers\Actions\Brands;

use App\Domain\Classifiers\Models\Brand;
use App\Domain\Support\Concerns\AppliesToAggregate;
use App\Domain\Support\Models\Model;

class DeleteBrandAction
{
    use AppliesToAggregate;

    public function execute(int $brandId): void
    {
        $this->delete($brandId);
    }

    protected function createModel(): Model
    {
        return new Brand();
    }
}
