<?php

namespace App\Domain\Classifiers\Actions\Countries;

use App\Domain\Classifiers\Models\Country;
use App\Domain\Support\Concerns\AppliesToAggregate;
use App\Domain\Support\Models\Model;

class DeleteCountryAction
{
    use AppliesToAggregate;

    public function execute(int $countryId): void
    {
        $this->delete($countryId);
    }

    protected function createModel(): Model
    {
        return new Country();
    }
}
