<?php

use App\Http\ApiV1\Modules\Products\Controllers\SearchController;
use Illuminate\Support\Facades\Route;

Route::prefix('classifiers')->group(function () {
    require "Modules/Classifiers/routes.php";
});

Route::prefix('categories')->group(function () {
    require "Modules/Categories/routes.php";
});

Route::prefix('products')->group(function () {
    require "Modules/Products/routes.php";
});

Route::post('search/products', [SearchController::class, 'products']);
