<?php

namespace App\Models\History;

use App\Models\PimModel;

/**
 * Класс-модель для сущности "Привязка истории изменения сущностей к основным сущностям"
 * Class HistoryMainEntity
 * @package App\Models\History
 *
 * @property int $history_id - id записи в истории
 * @property string $main_entity - название основной сущности, деталке которой будет выводится история изменения (например, Product)
 * @property int $main_entity_id - id основной сущности (например, Товар)
 */
class HistoryMainEntity extends PimModel
{
    /** @var string */
    protected $table = 'history_main_entity';
}
